feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Integral

# Documentation

class (Ord a, Numeric a, BoundedInt a, Integral a, Size a ~ Range a) => Integral a where

Methods

quot :: Data a -> Data a -> Data a

rem :: Data a -> Data a -> Data a

div :: Data a -> Data a -> Data a

mod :: Data a -> Data a -> Data a

(^) :: Data a -> Data a -> Data a

Instances

Integral Int8 |
Integral Int16 |
Integral Int32 |
Integral Int64 |
Integral Word8 |
Integral Word16 |
Integral Word32 |
Integral Word64 |
Integral IntN |
Integral WordN |

divSem :: Integral a => Data a -> Data a -> Data a